<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="../utilities/navigation.xsl" />
<xsl:import href="../utilities/sidebar.xsl" />
<xsl:import href="../utilities/typography.xsl"/>
<xsl:import href="../utilities/date-time.xsl" />

<xsl:output method="html" omit-xml-declaration="yes" encoding="UTF-8" indent="yes" />

<xsl:template match="/">
	<xsl:text disable-output-escaping="yes">&lt;</xsl:text>!DOCTYPE html<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
	<html lang="en">
	
	<head>
		<meta charset="utf-8" />
		
		<title>
			<xsl:choose> 
				<xsl:when test="$ds-article">
					<xsl:value-of select="$ds-article"/>
					<xsl:text> &#8211; </xsl:text>
				</xsl:when>
				<xsl:when test="$ds-activity">
					<xsl:value-of select="$ds-activity"/>
					<xsl:text> &#8211; </xsl:text>
				</xsl:when>
				<xsl:otherwise></xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$page-title"/>
			<xsl:text> &#8211; </xsl:text>
			<xsl:value-of select="$website-name"/>
		</title>

		<meta name="title" content="{$page-title}" />
		<meta name="description" content="" /> 
		<meta name="copyright" content="" /> 
		<meta name="author" content="[Name] (Soli Deo Gloria)" />

		<link rel="stylesheet" href="{$workspace}/css/defaults.css" media="screen, projection" />
		<link rel="stylesheet" href="{$workspace}/css/core.css" media="screen, projection" />
		<!--[if lte IE 6]></script><link rel="stylesheet" href="{$workspace}/css/ie6.css" /><![endif]-->
		<link rel="stylesheet" href="{$workspace}/css/print.css" media="print" />

		<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
		<!--[if lt IE 9]><script src="{$workspace}/js/html5.js"></script><![endif]-->
		<script src="{$workspace}/js/site.js"></script>
		
		<xsl:if test="$root-page = 'name'">
			<!-- Page Specific -->
		</xsl:if>
	
		<link rel="alternate" type="application/rss+xml" title="RSS Feed" href="{$root}/rss/" />
	</head>
	
	<body>
		<div id="accessibility">
			<ul>
				<li><a href="#content">Go to content</a></li>
				<li><a href="#nav">Go to navigation</a></li>
			</ul>
		</div><!-- end #accessibility -->
	
		<div id="page">
			<div id="header">
				<!-- [header here] -->
			</div><!-- end #header -->
			
			<div id="content">
				<!-- [content here] -->
				<xsl:choose>
					<xsl:when test="$current-page = 'home'">
						<div id= "home">
							<xsl:apply-templates />
						</div><!-- end #home -->
					</xsl:when>
					<xsl:otherwise>
						<div id="main">
							<xsl:apply-templates />
						</div><!-- end #main -->
						
						<div id="sidebar">
							<xsl:call-template name="sidebar" />
						</div><!-- end #sidebar -->
					</xsl:otherwise>
				</xsl:choose>
			</div><!-- end #content -->
			
			<div id="footer">
				<!-- [footer here] -->
			</div><!-- end #footer -->
		</div><!-- end #page -->
	</body>
	</html>
</xsl:template>
</xsl:stylesheet>