<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="navigation">
	<div id="nav">
		<ul>
			<xsl:apply-templates select="page[not(types/type = 'hidden') and not(types/type = 'admin') and not(types/type = 'index')]" />
		</ul>
	</div><!-- end nav -->
</xsl:template>

<xsl:template match="page">
	<li>
		<xsl:if test="position() = last()">
			<xsl:attribute name="class">last</xsl:attribute>
		</xsl:if>

		<a href="{$root}/{@handle}/">
			<xsl:if test="@handle = $root-page">
				<xsl:attribute name="class">active</xsl:attribute>
			</xsl:if>
			<xsl:value-of select="name"/>
		</a>
	</li>
</xsl:template>

<xsl:template match="side-menu">
	<ul class="menu">
		<xsl:for-each select="entry">
			<li>
				<a href="{$root}/{$root-page}/{title/@handle}/"><xsl:value-of select="title"/></a>
			</li>
		</xsl:for-each>
	</ul>
</xsl:template>
</xsl:stylesheet>